> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finalize the S3 copy operation

> Finalize the S3 copy operation using the key and extension of the object



## OpenAPI

````yaml api-reference/openapi.json post /uploads/finalize/s3-copy
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /uploads/finalize/s3-copy:
    post:
      tags:
        - Upload APIs
      summary: Finalize the S3 copy operation
      description: Finalize the S3 copy operation using the key and extension of the object
      operationId: finalizeCloudCopy
      parameters:
        - name: key
          in: query
          description: Key of the object
          required: true
          schema:
            type: string
        - name: extn
          in: query
          description: Extension of the object
          required: true
          schema:
            type: string
      responses:
        '200':
          description: S3 object finalized successfully, URL returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseMessage'
components:
  schemas:
    ResponseMessage:
      type: object
      properties:
        msg:
          type: string
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````